Bug 891722 - [Doc] PRD32 - RHEVM-SHELL: disable output redirection to ease testing efforts
[Doc] PRD32 - RHEVM-SHELL: disable output redirection to ease testing efforts
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.2.0
Unspecified Unspecified
low Severity unspecified
: ---
: 3.2.0
Assigned To: Andrew Burden
ecs-bugs
infra
: Documentation, Tracking
Depends On: 891725
Blocks: 866853
  Show dependency treegraph
 
Reported: 2013-01-03 14:30 EST by Stephen Gordon
Modified: 2016-02-10 14:40 EST (History)
4 users (show)

See Also:
Fixed In Version: SF11 (3.2.0.5-1)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 866853
: 891725 (view as bug list)
Environment:
Last Closed: 2013-06-17 00:53:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Dan Macpherson 2013-01-07 20:55:48 EST
Andrew, 

For this bug, document this option in the config file (~/.rhevmshellrc):

no_paging = True

Basically, explain how this enables/disables paging results.

- Dan
Comment 2 Tim Hildred 2013-01-09 01:08:25 EST
Dan, 

I was looking through the CLI guide, and couldn't find any mention of that config file. 

Do you think this means adding a reference topic like:

Editing the RHEVM CLI configuration file [XXXX]

- little explanation of the configuration file
- three column table listing all of the values you can set in one column, their value types (boolean, string, etc) and descriptions of them in the third one?
- one <entry> in the table is no_paging, boolean, explanation 

Or am I making a mountain out of a molehill?
Comment 3 Dan Macpherson 2013-01-09 01:31:09 EST
Sure that works... I'd even just go with a variablelist and not worry so much about value types
Comment 4 Tim Hildred 2013-01-09 01:40:19 EST
Andrew, 

You can follow up on what other things you can change from this config file by setting a need info on michael pasternak.
Comment 5 Andrew Burden 2013-01-15 23:48:37 EST
Hi Michael,

Could you please send me a list of brief descriptions for these variables found in the .rhevmshellrc config file?

We'd like to include this information in the CLI guide for 3.2
Comment 6 Michael Pasternak 2013-01-16 03:57:47 EST
(In reply to comment #5)
> Hi Michael,
> 
> Could you please send me a list of brief descriptions for these variables
> found in the .rhevmshellrc config file?
> 
> We'd like to include this information in the CLI guide for 3.2

url = ""
username = ""
password = ""
insecure = True|False (turns off CA cert. requirement)
no_paging = True|False (disables pagination in the shell)
filter = True|False (user can fetch objects according his                    
                     permissions, users have admin role can switch filtering off)
timeout = -1 (request timeout)
Comment 7 Andrew Burden 2013-01-17 21:18:52 EST
Thanks for that, Michael.
Topic has been created with a variable table as suggested. Will be included in next build.
Comment 12 Michael Pasternak 2013-03-10 07:34:11 EDT
refactoring configuration value to the "autopage = True|False" under [cli] section
Comment 13 Andrew Burden 2013-03-12 02:44:09 EDT
Sorry Michael, I don't quite follow.

Do you mean perhaps that the 'no_paging = True|False' variable in the .rhevmshellrc is being changed to 'autopage = True|False' ??
Comment 14 Michael Pasternak 2013-03-12 02:51:14 EDT
(In reply to comment #13)
> Sorry Michael, I don't quite follow.
> 
> Do you mean perhaps that the 'no_paging = True|False' variable in the
> .rhevmshellrc is being changed to 'autopage = True|False' ??

exactly (previously it was known to upstream community as 'autopage'),

thanks.
Comment 16 Andrew Ross 2013-03-13 01:54:08 EDT
(In reply to comment #15)
> Groovy. Thanks Michael. Table has been updated.
> 
> Change available here:
> http://documentation-devel.engineering.redhat.com/docs/en-US/
> Red_Hat_Enterprise_Virtualization/3.2/html/Command_Line_Shell_Guide/sect-
> Other_Commands.html#rhevmshellrc_Configuration

Verified: Red_Hat_Enterprise_Virtualization-Command_Line_Shell_Guide-3.2-en-US-3.2-8

Note You need to log in before you can comment on or make changes to this bug.